curl --request PUT \
--url https://api.kameleoon.com/widget-studio-templates/{studioTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"siteId": 123,
"isFavorite": true,
"studioTemplate": "<string>",
"widgetId": 123
}
'{
"siteId": 123,
"id": 123,
"isFavorite": true,
"studioTemplate": "<string>",
"widgetId": 123
}Update the studio template belonging to this Id
curl --request PUT \
--url https://api.kameleoon.com/widget-studio-templates/{studioTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"siteId": 123,
"isFavorite": true,
"studioTemplate": "<string>",
"widgetId": 123
}
'{
"siteId": 123,
"id": 123,
"isFavorite": true,
"studioTemplate": "<string>",
"widgetId": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Id of the widget studio template object
Site Id of the widget studio template.
Indicates if this template has been marked as a favorite.
Widget studio template data that is associated with this template.
Widget that can be parsed and used as a studio template.
OK
Site Id of the widget studio template.
Unique Id of the given widget studio template.
Indicates if this template has been marked as a favorite.
Widget studio template data that is associated with this template.
Widget that can be parsed and used as a studio template.
Was this page helpful?